Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ORB_Core.h File Reference

`#include "tao/Resource_Factory.h"`
`#include "tao/Collocation_Strategy.h"`
`#include "tao/params.h"`
`#include "tao/ORB_Constants.h"`
`#include "tao/Parser_Registry.h"`
`#include "tao/Service_Callbacks.h"`
`#include "tao/Fault_Tolerance_Service.h"`
`#include "tao/Cleanup_Func_Registry.h"`
`#include "tao/Object_Ref_Table.h"`
`#include "tao/ObjectKey_Table.h"`
`#include "tao/Messaging_SyncScopeC.h"`
`#include "tao/Object.h"`
`#include "tao/Invocation_Utils.h"`
`#include "tao/Adapter_Registry.h"`
`#include "tao/ORB_Core_TSS_Resources.h"`
`#include "ace/Array_Map.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/Lock_Adapter_T.h"`
`#include "ace/TSS_T.h"`
`#include "ORB_Core.i"`

Include dependency graph for ORB_Core.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | CORBA
namespace | IOP
namespace | PortableInterceptor
## Classes
class | TAO_ORB_Core
| Encapsulates the state of an ORB. More...
class | TAO_ORB_Core_Static_Resources
| The static (global) resoures of all ORB cores. More...
## Typedefs
typedef ServerRequestInterceptor * | ServerRequestInterceptor_ptr
## Functions
TAO_Export TAO_ORB_Core * | TAO_ORB_Core_instance (void)

## Detailed Description

Id
  ORB_Core.h,v 1.299 2006/02/21 17:59:46 smcqueen Exp

Author:
  DOC Center - Washington University at St. Louis

  DOC Laboratory - University of California at Irvine

## Typedef Documentation

typedef ServerRequestInterceptor * PortableInterceptor::ServerRequestInterceptor_ptr

## Function Documentation

TAO_Export TAO_ORB_Core* TAO_ORB_Core_instance | ( | void |  | ) |

| Obtain an instance of the first ORB core registered in the ORB table.